const int giMaxRounds = 10;

class CBattle
{
public:
    int Calculate (int iAtkID, int iDefID);
    int Simple (void);
    
    bool bActive;                           // Whether or not this battle has been played out yet.
    int iOn;                                // Which round the battle display is currently dealing with.
    int iTimer;                             // A simple counter used to pace the battle.
    
    int iRounds;                            // How many rounds this battle will last.
    
    int iAttacker[giMaxRounds];             // The ID of the unit who is attacking this round.
    int iDefender[giMaxRounds];             // The ID of the unit who is defending this round.
    bool bHit[giMaxRounds];                 // Whether or not the attacker made contact this round
    bool bCritical[giMaxRounds];            // Whether or not the attack did critical damage.
    int iDamage[giMaxRounds];               // How much damage the attack did (including bonuses and critical damage).
    
    int iAtkDMGTotal;                       // Total amount of damage from the attacker over all rounds.
    int iDefDMGTotal;                       // Total amount of damage from the defender over all rounds.
    
    int iAtkEXP;                            // How much experience the attacker gets.
    int iDefEXP;                            // How much experience the defender gets.

private:
    int CalculateRound_ (int iRound, int iAtkID, int iDefID);
};
