class CFaction
{
public:
    
    int Kill (void);                // Destroys any remaining units, flags, and properties for this faction.
    int Purge (void);               // Deletes all data from the faction.
    
    BITMAP *mBanner;                // This faction's decisive flag image.
    BITMAP *mFlag;                  // This faction's capture flag image.
    BITMAP *mHeader;                // This faction's "header" (the top window that appears during their turn).
    BITMAP *mLeaderChibi;           // The "chibi" leader sprite for this faction.
    BITMAP *mLeaderFull;            // The full-body leader sprite for this faction.
    BITMAP *mLeaderHead;            // The leader head sprite for this faction.
    BITMAP *mPole;                  // This faction's flag pole image.
	BITMAP *mIcon;                  // This faction's icon image.
	
	bool bActive;                   // Whether or not the faction is active.
    bool bFlagDefeat;               // "True" if this faction can be defeated by taking all its flags.

	int iColor;                     // This faction's color.
    int iFlags;                     // The number of flags this faction currently possesses.    
	int iMoney;						// How much money the faction currently holds.
    int iMusic;                     // What BGM to play for this faction's turn. 0 = No music.
    int iUnits;                     // How many units are part of this faction.
    int iVIPs;                      // How many passive VIPs remain in this faction.
	
    string tDescription;            // A brief summary about this faction.
    string tHandle;                 // The handle name for this faction.
    string tMusic;                  // The name of the file to use for this faction's music.	
    string tName;                   // The faction's name.
};
