const int sys_iMaxBGMs = 250;

class CMusic
{
public:
    
    // Functions
    
    int Load (int iSlot, string tFile, int iStart, int iLoop);      // Loads a new BGM.
    int Play (int iBGM);                                            // Plays a selected BGM.    
    int Purge (void);                                               // Deletes all BGM data currently stored.
    int Replay (void);                                              // Plays the last loaded song *FROM THE BEGINNING*
    int Stop (void);                                                // Stops whatever music is playing.    
    
    string tBGM[sys_iMaxBGMs];          // The file names of all the BGMs.
    string tTitle[sys_iMaxBGMs];        // The name of a given song.    
    
    int iBGMStart[sys_iMaxBGMs];        // Where to start playing the BGM from.
    int iBGMLoop[sys_iMaxBGMs];         // Where to restart the BGM after looping.
    int iBGMEnd[sys_iMaxBGMs];          // Where to end the BGM.
    int iNowPlaying;                    // What song is currently playing.
    
private:
    
    MIDI *vBGM;                         // The music file currently playing.    
};
